Bug 15415 - epmd: error in accept
: epmd: error in accept
Status: CLOSED WONTFIX
: Branch 4.0
(All bugs in Branch 4.0/erlang)
: 4.0
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-04-21 09:38 by
Modified: 2010-09-20 10:19 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-04-21 09:38:56
Имеется  контейнер с ejabberd-1.1.4-alt1 и erlang-R11B.5-alt1.

Примерно раз в неделю наблюдается такое:
Apr 21 09:17:01 ve121-jabber epmd: epmd: error in accept
Apr 21 09:17:32 ve121-jabber last message repeated 573481 times
Apr 21 09:18:33 ve121-jabber last message repeated 1145882 times
Apr 21 09:19:34 ve121-jabber last message repeated 1140831 times
Apr 21 09:20:35 ve121-jabber last message repeated 1142588 times

Что сопровождается 100% загрузкой CPU процессами syslogd и epmd.
------- Comment #1 From 2009-02-18 18:05:54 -------
На 5.0 бранче стабильно ловлю :-/ ejabberd-2.0.2-alt1
------- Comment #2 From 2009-02-18 20:28:06 -------
Судя по http://erlang.org/pipermail/erlang-questions/2007-September/029459.html
- есть мнение, что виноват какой-то запуск/перезапуск процесса ejabberd, когда
в результате оказываются запущенными одновременно несколько нод на одной
машине.

К сожалению, моего знания erlang явно не хватает, чтобы как-то диагностировать
эту ошибку. Вы можете воспроизвести ее в каких-то других условиях? Например,
может быть это влияет контейнер или какие-то его специфичные установки? В
статистике/ошибкам по контейнеру - все чисто?
------- Comment #3 From 2009-02-19 08:21:49 -------
У меня одна нода в контейнере, и за выделенные лимиты он не вылез.
И у меня два контейнера с ejabberd на разных машинах и с разными
конфигурациями, и на обоих воспроизводится :-/ Спасаюсь vzctl --cpulimit :)
------- Comment #4 From 2010-09-20 10:19:36 -------
В 4.0 этим заниматься никто не будет, а в 5.1 и сизифе такой ошибки уже не
наблюдается. -> WONTFIX